Fedora 8 x86_64 32 bit compatibility for XAMPP

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby skybluec » 31. January 2009 18:14

Hi all,

I'm running into a similar issue else where on the forum http://community.apachefriends.org/f/viewtopic.php?f=17&t=32645, but kind of different. I'm running Fedora 8 on an AMD 64 bit machine.

When I try to start XAMPP, I get the usual "XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system."

The posts I've seen either say to install the glibc 32 bit packages or libgc.

I went to the package manager, checked glibc - 2.7.2.i386 and tried to apply, but got the following errors:

file /lib/ld-2.7.so from install of glibc-2.7-2 conflicts with file from package glibc-2.7-2
file /lib/libBrokenLocale-2.7.so from install of glibc-2.7-2 conflicts with file from package glibc-2.7-2
file /lib/libSegFault.so from install of glibc-2.7-2 conflicts with file from package glibc-2.7-2
file /lib/libanl-2.7.so from install of glibc-2.7-2 conflicts with file from package glibc-2.7-2
...
(truncated - about 270 lines of error messages)

I have the following glibc libraries installed also:

glibc-common - 2.7.2.x86_64
glibc-headers - 2.7.2.x86_64
glibc-devel - 2.7.2.x86_64
glibc - 2.7.2.x86_64
glibc - 2.7.2.i686
glibc-devel - 2.7.2.x86_64
kernel-headers - 2.6.23.1-42.fc8.noarch

Do I need to install glibc - 2.7.2.i386? If not, what should I be doing? Any help would be much appreciated.
skybluec
 
Posts: 4
Joined: 31. January 2009 17:48

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby skybluec » 06. February 2009 00:23

Problem fixed, I just commented out the part of the lampp config file which checked for 32 bit compatibility and it started fine.

See below:

# XAMPP is currently 32 bit only
# case `uname -m` in
# *_64)
# if /opt/lampp/bin/php -v > /dev/null 2>&1
# then
# :
# else
# $de && echo "XAMPP gibt es zur Zeit nur als 32-Bit
# Applikation. Bitte verwende eine 32-Bit Kompatibilitaetsbibliothek
# fuer Dein System."
# $de || echo "XAMPP is currently only availably as 32 bit
# application. Please use a 32 bit compatibility library for your
# system."
# exit
# fi
# ;;
#esac

note: I don't know what commenting out esac did at the end. use this fix at your own risk.
skybluec
 
Posts: 4
Joined: 31. January 2009 17:48

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby Izzy » 06. February 2009 00:40

skybluec wrote:# XAMPP is currently 32 bit only
# case `uname -m` in
# *_64)
# if /opt/lampp/bin/php -v > /dev/null 2>&1
# then
# :
# else
# $de && echo "XAMPP gibt es zur Zeit nur als 32-Bit
# Applikation. Bitte verwende eine 32-Bit Kompatibilitaetsbibliothek
# fuer Dein System."
# $de || echo "XAMPP is currently only availably as 32 bit
# application. Please use a 32 bit compatibility library for your
# system."
# exit
# fi
# ;;
#esac

note: I don't know what commenting out esac did at the end..

case/esac
esac is 'end of case' in Unix shell scripts and will do as it says put an end to the case statement.

So in the above code commenting it out is part of the whole comment out process and obviously is required.


Thanks for posting back with your fix as it will help others searching for a solution with a similar problem.
Thanks.
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby skybluec » 06. February 2009 01:10

You're welcome and thanks for the follow up on esac :)
skybluec
 
Posts: 4
Joined: 31. January 2009 17:48

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby skybluec » 08. March 2009 13:04

You're welcome - glad it helped.
skybluec
 
Posts: 4
Joined: 31. January 2009 17:48

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby Jolun » 24. January 2010 10:56

I have run into the same problem now. I'm running a FC12 on a x64 machine. I've installed XAMPP 1.7.3a. But I can not edit the file (i'm owner of it but..) Ok now I understand how to edit it, so i did and I get the following error message:
root@localhost1 opt]# /opt/lampp/lampp start
XAMPP: SELinux is activated. Making XAMPP fit SELinux...
Starting XAMPP for Linux 1.7.3a...
/opt/lampp/share/lampp/phpstatus: /opt/lampp/bin/php: /lib/ld-linux.so.2: bad ELF interpreter: Filen eller katalogen finns inte
XAMPP: Starting Apache with SSL ...
/opt/lampp/bin/apachectl: /opt/lampp/bin/httpd: /lib/ld-linux.so.2: bad ELF interpreter: Filen eller katalogen finns inte
XAMPP: Error 126! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: Starting MySQL...
/opt/lampp/bin/mysql.server: /opt/lampp/bin/my_print_defaults: /lib/ld-linux.so.2: bad ELF interpreter: Filen eller katalogen finns inte
/opt/lampp/bin/mysql.server: /opt/lampp/bin/my_print_defaults: /lib/ld-linux.so.2: bad ELF interpreter: Filen eller katalogen finns inte
XAMPP: Couldn't start MySQL!
XAMPP: Starting ProFTPD...
XAMPP: /opt/lampp/lampp: /opt/lampp/sbin/proftpd: /lib/ld-linux.so.2: bad ELF interpreter: Filen eller katalogen finns inte
XAMPP: Error 126! Couln't start ProFTPD!
XAMPP for Linux started.


The edit I did in the lampp file was:
# XAMPP is currently 32 bit only
#case `uname -m` in
# *_64)
# if /opt/lampp/bin/php -v > /dev/null 2>&1
# then
# :
# else
# $de && echo "XAMPP gibt es zur Zeit nur als 32-Bit #Applikation. Bitte verwende eine 32-Bit Kompatibilitaetsbibliothek fuer #Dein System."
# $de || echo "XAMPP is currently only availably as 32 bit #application. Please use a 32 bit compatibility library for your system."
# exit
# fi
# ;;
#esac



/Jolun
Jolun
 
Posts: 8
Joined: 20. September 2008 10:20

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby salmagory » 23. February 2010 12:34

How do I make Fedora download 3rd party software? I can't seem to install mp3 support for Fedora or any software that's not made by Fedora developers. How do I let Fedora download and install install 3rd party software just like changing the software sources in Ubuntu?
_________________
asian matrimonial
salmagory
 
Posts: 1
Joined: 22. February 2010 07:46

Re: Fedora 8 x86_64 32 bit compatibility for XAMPP

Postby danger89 » 22. May 2010 21:33

Just install Mint 9 for MP3 codec & the rest :)
danger89
 
Posts: 2
Joined: 22. May 2010 21:32


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 8 guests